Device _search

post/Device/_search
Page View

This resource contains details about a medical or non-medical device. It provides administrative context for a device used during a patient visit or administered for home use. This resource is usually referenced by other resources.

You can review or retrieve device details.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

_search

Query for details about a device.

Flexible FHIR queries, different query parameters

FHIR® queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a searchset bundle type. Learn about bundles and bundle types in our FHIR® glossary.

We only note which query parameters are required if you’re querying a FHIR® server directly. Remember that Redox (i.e., data on demand) isn’t a FHIR® server, and your connection may not be either.

Query parameters will vary between sites. Work with your connection to find out which query parameters they require for a successful search.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Device/_search' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'patient=string'

Request Body Schema

  • patient
    Array of string

    Who the device is for

Response fields and example

RedoxDeviceSearchBundleExample
json
1
{}
  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a response to a search

    Value: searchset
  • total
    required, number

    The total number of matches

  • entry
    Array of Device or Other

    A resource matching the search criteria or related to a matching resource

    • resource
      required, object

      A type of a manufactured item that is used in the provision of healthcare

      • resourceType
        required, string

        Identifies the type of the resource

        Value: Device
      • type
        required, object

        The kind or type of device.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • patient
        required, object

        Patient information, If the device is affixed to a person.

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • id
        string

        The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

      • identifier
        Array of object

        Unique instance identifiers assigned to a device by manufacturers other organizations or owners.

        • extension
          Array of Boolean, String, CodeableConcept, Coding

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • url
            required, string

            Source of the definition for the extension code - a logical name or a URL.

          • valueBoolean
            boolean

            A single value for the extension.

        • use
          string

          The purpose of this identifier.

          Possible Values: usual, official, temp, secondary, old (If known)
        • system
          string

          Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

        • value
          string

          The portion of the identifier typically relevant to the user and which is unique within the context of the system.

      • udiCarrier
        Array of object

        Unique device identifier (UDI) assigned to device label or package. Note that the Device may include multiple udiCarriers as it either may include just the udiCarrier for the jurisdiction it is sold, or for multiple jurisdictions it could have been sold.

        • deviceIdentifier
          required, string

          The device identifier (DI) is a mandatory, fixed portion of a UDI that identifies the labeler and the specific version or model of a device.

        • issuer
          string

          Organization that is charged with issuing UDIs for devices. For example, the US FDA issuers include :

          1. GS1: http://hl7.org/fhir/NamingSystem/gs1-di,
          2. HIBCC: http://hl7.org/fhir/NamingSystem/hibcc-dI,
          3. ICCBBA for blood containers: http://hl7.org/fhir/NamingSystem/iccbba-blood-di,
          4. ICCBA for other devices: http://hl7.org/fhir/NamingSystem/iccbba-other-di.
        • jurisdiction
          string

          The identity of the authoritative source for UDI generation within a jurisdiction. All UDIs are globally unique within a single namespace with the appropriate repository uri as the system. For example, UDIs of devices managed in the U.S. by the FDA, the value is http://hl7.org/fhir/NamingSystem/fda-udi.

      • status
        string

        Status of the Device availability.

        Possible Values: active, inactive, entered-in-error, unknown
      • distinctIdentifier
        string

        The distinct identification string as required by regulation for a human cell, tissue, or cellular and tissue-based product.

      • manufacturer
        string

        A name of the manufacturer.

      • manufactureDate
        string

        The date and time when the device was manufactured.

      • expirationDate
        string

        The date and time beyond which this device is no longer valid or should not be used (if applicable).

      • lotNumber
        string

        Lot number assigned by the manufacturer.

      • serialNumber
        string

        The serial number assigned by the organization when the device was manufactured.

      • deviceName
        Array of object

        This represents the manufacturer's name of the device as provided by the device, from a UDI label, or by a person describing the Device. This typically would be used when a person provides the name(s) or when the device represents one of the names available from DeviceDefinition.

        • name
          required, string

          The name of the device.

        • type
          required, string

          The type of deviceName. UDILabelName | UserFriendlyName | PatientReportedName | ManufactureDeviceName | ModelName.

          Possible Values: udi-label-name, user-friendly-name, patient-reported-name, manufacturer-name, model-name, other
      • modelNumber
        string

        The model number for the device.

      • partNumber
        string

        The part number of the device.

      • note
        Array of object

        Descriptive information, usage information or implantation information that is not captured in an existing element.

        • text
          required, string

          The text of the annotation in markdown format.

      • safety
        Array of object

        Provides additional safety characteristics about a medical device. For example devices containing latex.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • search
      required, object

      Information about the search process that lead to the creation of this entry.

      • mode
        required, string

        Identifies the Device as matching the search parameters

        Value: match

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.